{% extends "layouts/default.twig" %}

{% block header %}
  <section class="hero is-full-height">
    <div class="hero-head">
      <header class="hero is-link is-bold">
        <div class="hero-body">
          <div class="container">
            <p class="title">Chat</p>
            <p class="subtitle">In Realtime</p>
          </div>
        </div>
      </header>
    </div>
    <!-- section will end in the footer -->
  {% endblock %}
  {% block content %}
    <div class="hero-body">
      <p>contents go here</p>
    </div>
    <div class="hero-foot">
      <footer class="section is-small">
        <form>
          <div class="field has-addons">
            <div class="control is-expanded">
              <input class="input" name="message" type="text"/>
            </div>
            <div class="control">
              <button class="button is-info">Send</button>
            </div>
            <span class="tag is-medium" id="delete-channel-span">
              <b>Delete current channel</b>
            </span><span class="tag is-medium" id="status-span">Connected as<b>
                <span id="username-span"></span>
              </b>
            </span>
            <span id="leave-span">
              <b>x Leave</b>
            </span>
          </div>
        </form>
      </footer>
    </div>
    <div class="columns" id="container">
      <div class="column is-2 is-half" id="channel-panel">
        <div class="columns not-showing" id="channel-list"></div>
        <div class="columns not-showing" id="new-channel-input-row">
          <input class="channel-element" id="new-channel-input" placeholder="New Cannel Name" maxlength="20" />
        </div>
        <div class="row">Create New Channel</div>
      </div>
      <div class="column is-4" id="chat-window">
        <div class="columns disconnected" id="message-list"></div>
        <div class="columns disconnected" id="typing-row">
          <p id="typing-placeholder"></p>
        </div>
        <div class="columns" id="input-div">
          <textarea id="input-text" disabled="true" placeholder="   Your message"></textarea>
        </div>
        <div class="disconnected columns" id="connect-panel">
          <div class="container">
            <div class="column is-12">
              <label for="username-input">Username:</label>
              <input id="username-input" type="text" placeholder="username"/>
            </div>
          </div>
          <div class="columns">
            <div class="column is-12">Connect</div>
          </div>
        </div>
      </div>
    </div>
  </section>
{% endblock %}

{% block scripts %}

  {% include 'partials/message-tpl.twig '}
  {% include 'partials/channel-tpl.twig '}
  {% include 'partials/notify-tpl.twig '}

  <!-- scripts:include -->
  <script src="//code.jquery.com/jquery-2.2.0.min.js"></script>
  <script src="/js/vendor/jquery-throttle.min.js"></script>
  <script src="/js/vendor/jquery.loadTemplate-1.4.4.min.js"></script>
  <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
  <script src="//cdnjs.cloudflare.com/ajax/libs/moment.js/2.11.1/moment.min.js"></script>
  <script src="//media.twiliocdn.com/sdk/js/common/v0.1/twilio-common.min.js"></script>
  <script src="//media.twiliocdn.com/sdk/js/chat/v3.0/twilio-chat.min.js"></script>

  <!-- Custom -->
  <script src="{{ root }}js/twiliochat.js"></script>
  <script src="{{ root }}js/dateformatter.js"></script>
{% endblock %}
